html {
  height: 100%;
  scroll-behavior: smooth;  
}

[id] {
  scroll-margin-top: 120px; 
}


.container {
  display: flex;
  max-width: 1600px;
  width: 100%;
  margin: 0 auto;
  box-sizing: border-box;
  justify-content: space-between;
  align-items: center;
}

/* Dodaj stylowanie dla każdej sekcji, aby upewnić się, że tło zajmuje pełną szerokość */
.hero, .review-section, .info-text-section, .cons-info-section, .blog-section, .footer {
  padding-left: 0;
  padding-right: 0;
}


.header-logo-icon {
  position: relative;
}
.menu-item {
  text-decoration: none;
  position: relative;
  color: inherit;
  white-space: nowrap;
}

.header-menu {
  width: auto;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: var(--gap-16xl);
  max-width: 100%;
}
.header-button-text {
  position: relative;

  font-size: var(--font-size-xl);
  letter-spacing: 0.2em;
  line-height: 100%;
  text-transform: uppercase;
  font-weight: 600;
  font-family: var(--font-sofia-sans-condensed);
  color: var(--colors-white-1);
  text-align: left;
  white-space: nowrap;
  text-decoration: none; /* Usunięcie podkreślenia */
cursor: pointer;
} 

.button-link:focus {
  outline: none; }

.header-button-icon {
  height: 24px;
  width: 24px;
  position: relative;
  overflow: hidden;
  flex-shrink: 0;
}
.header,
.header-button {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  
  box-sizing: border-box;
  
}
.header-button {
  cursor: pointer;
  border: 0;
  background-color: var(--colors-ideo-blue-1);
  padding: 0px 25px;
  height:50px;
  color: var(--colors-ideo-blue-1);
  width: auto;
  border-radius: var(--br-11xl);
  white-space: nowrap;
  gap: 5px;

}
.header-button:hover {
  background-color: #2b87b0;
  color: #2b87b0;
}
.header {
  align-self:stretch;
  background-color: var(--colors-white-1);
  padding-top:15px;
  padding-bottom:15px;
  top: 0;
  z-index: 99;
  position: sticky;
  gap: var(--gap-xl);
  text-align: left;
  font-size: var(--font-size-lg);
  color: var(--colors-ideo-dark-1);
  font-family: var(--font-general-sans);
}
.hero-before-form-sub-heading-t {
  margin: 0;
  position: relative;
  font-size: 24px;
  letter-spacing: 0.3em;
  line-height: 150%;
  font-weight: 600;
  font-family: var(--font-sofia-sans-condensed);
  background: linear-gradient(90deg, #04618a, #e4eef2);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  text-align: left;
  display: inline-block;
  max-width: 100%;
}

.hero-before-form-main-heading {
  margin: 0;
  align-self: stretch;
  height: auto;
  position: relative;
  font-size: 45px;
  line-height: 80px;
  font-weight: 700;
  font-family: var(--font-general-sans);
  color: var(--colors-white-1);
  text-align: left;
  display: inline-block;
}
.hero-before-form-heading {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  max-width: 100%;
  gap:20px;
}
.sub-heading-b {
  margin: 0;
  font-weight: 300;
}
.a-dane-zaczn,
.sub-heading-b {
  font-family: var(--font-general-sans);
}
.a-dane-zaczn-mwi-jzykiem-b {
  margin: 0;
}
.hero-before-form-sub-heading-b {
  margin: 0;
  align-self: stretch;
  height: auto;
  position: relative;
  font-size: var(--font-size-5xl);
  line-height: 150%;
  color: var(--colors-white-1);
  text-align: left;
  display: inline-block;
}
.hero-before-form {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: var(--gap-5xl);
  max-width: 100%;
}
.newsletter-form,
.newsletter-form1 {
  width: 100%;
  border: 0;
  outline: 0;
  background-color: var(--colors-white-1);
  align-self: stretch;
  height: 57px;
  border-radius: var(--br-11xl);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding: var(--padding-mini) var(--padding-11xl);
  box-sizing: border-box;
  font-family: var(--font-general-sans);
  font-weight: 500;
  font-size: var(--font-size-lg);
  color: var(--color-gray-100);
}

.newsletter-form1 {
  justify-content: flex-start;
}
.hero-newsletter-form,
.newsletter-form-section {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  gap: var(--gap-xl);
}
.input-group {
  width: 100%;
  color: #fff;
}
.hero-newsletter-form {
  gap: var(--gap-16xl);
  max-width: 100%;
}
.zapisz-si-na {
  position: relative;
  font-size: var(--font-size-xl);
  letter-spacing: 3.85px;
  line-height: 150%;
  text-transform: uppercase;
  font-weight: 600;
  font-family: var(--font-sofia-sans-condensed);
  color: var(--colors-ideo-dark-1);
  text-align: left;
}
.hero-newsletter-button-right-a-icon {
  height: 23px;
  width: 24px;
  position: relative;
  overflow: hidden;
  flex-shrink: 0;
}
.hero-newsletter-button {
  cursor: pointer;
  border: 0;
  padding: 10px 20px 10px 20px;
  background-color: var(--colors-white-1);
  border-radius: var(--br-11xl);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  box-sizing: border-box;
  gap: 10px;
  white-space: nowrap;
  max-width: 100%;
}
.hero-newsletter-button:hover {
  background-color: #e6e6e6;
}
.hero-newsletter-button-section,
.hero-section-content {
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: flex-start;
  max-width: 100%;
}

.hero-newsletter-button-section-response--ok {
  color: white;
  font-family:'General Sans';
  font-size: 1.1rem;
  font-weight: 400;
  border: 1px solid white;
  padding:15px;
  border-radius:5px;
}
.hero-newsletter-button-section-response--fail {
  color: red;
  font-family:'General Sans';
  font-size: 1.25rem;
  font-weight: 500;
  border: 1px solid red;
  padding:15px;
  border-radius:5px;
}
.hero-section-content {
  margin: 0;
  flex: 1;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  padding: 0% 10% 0% 0%;
  box-sizing: border-box;
  gap: var(--gap-21xl);
}
.hero-section,
.hero-section-video {
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 100%;
}
.hero-section-video {
  height: 750px;
  width: 750px;
  border-radius: 5px;
  flex-direction: column;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: top;
}
.hero-section {
  align-self: stretch;
  flex-direction: row;
  padding: 0;
  box-sizing: border-box;
  gap: var(--gap-6xl);
}
.hero-partners-logo-section-1-icon {
  mix-blend-mode: difference;
  max-width:7.5%;
}
.logo-image-icon {
  overflow: hidden;
  max-width:7.5%;
}
.hero-partners-logo-section-3 {
  width: 156.2px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  padding: 7.8px 0 7.9px;
  box-sizing: border-box;
}
.hero-partners-logo-section-2-icon {
  max-width: 15%;
}
.hero-partners-logo-section-4-icon {
max-width: 7.5%;
}
.hero,
.hero-partners-logo-section {
  align-self: stretch;
  display: flex;
  align-items: center;
  max-width: 100%;
}
.hero-partners-logo-section {
  flex-direction: row;
  justify-content: space-between;
  gap: var(--gap-xl);
}
.hero {
  background-color: var(--colors-ideo-dark-1);
  flex-direction: column;
  justify-content: center;
  padding: 50px;
  box-sizing: border-box;
  gap: 100px;
}
.hero > .container {
  flex-direction: column;
  gap: 50px;
}
.double-quotes-1-icon {
  width: 56.4px;
  height: 56.4px;
  position: relative;
  overflow: hidden;
  flex-shrink: 0;
}
.newsletter-od-mateusza {
  font-weight: 300;
}
.nawet-nie-chce {
  font-size: var(--font-size-base-5);
  font-weight: 500;
}
.lorem-ipsum-dolor-container {
  align-self: stretch;
  position: relative;
  line-height: 150%;
}
.lorem-ipsum-dolor {
  position: relative;
  font-size: var(--font-size-sm);
  letter-spacing: 0.3em;
  line-height: 150%;
  text-transform: uppercase;
  font-weight: 600;
  font-family: var(--font-sofia-sans-condensed);
}
.first-review,
.first-review-content {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}
.first-review-content {
  align-self: stretch;
  align-items: flex-start;
  gap: var(--gap-mid-6);
}
.first-review {
  flex: 1;
  border-radius: var(--br-9xs);
  background: linear-gradient(rgba(34, 34, 34, 0.05), rgba(34, 34, 34, 0.05)),
    rgba(255, 255, 255, 0.1);
  align-items: flex-end;
  padding: var(--padding-16xl-3) var(--padding-16xl) var(--padding-17xl-2);
  box-sizing: border-box;
  min-width: 360px;
  max-width: 100%;
}
.double-quotes-2-icon {
  width: 56.4px;
  height: 56.4px;
  position: relative;
  overflow: hidden;
  flex-shrink: 0;
}
.jestem-bardzo-zadowolona {
  font-weight: 300;
}
.wreszcie-wiem-z {
  font-size: var(--font-size-base-5);
  font-weight: 500;
}
.lorem-ipsum-dolor-container1,
.lorem-ipsum-dolor1 {
  align-self: stretch;
  position: relative;
  line-height: 150%;
}
.lorem-ipsum-dolor1 {
  font-size: var(--font-size-sm);
  letter-spacing: 0.3em;
  text-transform: uppercase;
  font-weight: 600;
  font-family: var(--font-sofia-sans-condensed);
}
.second-review,
.second-review-content {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}
.second-review-content {
  align-self: stretch;
  align-items: flex-start;
  gap: var(--gap-mid-6);
}
.second-review {
  flex: 1;
  border-radius: var(--br-9xs);
  background: linear-gradient(rgba(34, 34, 34, 0.05), rgba(34, 34, 34, 0.05)),
    rgba(255, 255, 255, 0.1);
  align-items: flex-end;
  padding: var(--padding-16xl-3) var(--padding-16xl) var(--padding-17xl-2);
  box-sizing: border-box;
  min-width: 360px;
  max-width: 100%;
}
.double-quotes-2-icon1 {
  width: 56.4px;
  height: 56.4px;
  position: relative;
  overflow: hidden;
  flex-shrink: 0;
}
.czytam-rne-newslettery {
  font-weight: 300;
}
.potne-rdo-wiedzy {
  font-size: var(--font-size-base-5);
  font-weight: 500;
}
.author-text-2,
.review-text-2 {
  position: relative;
  line-height: 150%;
}
.review-text-2 {
  align-self: stretch;
}
.author-text-2 {
  font-size: var(--font-size-sm);
  letter-spacing: 0.3em;
  text-transform: uppercase;
  font-weight: 600;
  font-family: var(--font-sofia-sans-condensed);
}
.second-review-content1,
.second-review1 {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}
.second-review-content1 {
  align-self: stretch;
  align-items: flex-start;
  gap: var(--gap-mid-6);
}
.second-review1 {
  flex: 1;
  border-radius: var(--br-9xs);
  background: linear-gradient(rgba(34, 34, 34, 0.05), rgba(34, 34, 34, 0.05)),
    rgba(255, 255, 255, 0.1);
  align-items: flex-end;
  padding: var(--padding-16xl-3) var(--padding-16xl) 35.2px;
  box-sizing: border-box;
  min-width: 360px;
  max-width: 100%;
}
.review-section,
.review-section-blocks,
.review-section-clients {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}
.review-section-clients {
  flex: 1;
  flex-wrap: wrap;
  gap: var(--gap-11xl);
  max-width: 100%;
}
.review-section,
.review-section-blocks {
  box-sizing: border-box;
}
.review-section-blocks {
  flex: 1;
  padding: 120px 0 120px;
}
.review-section {
  align-self: stretch;
  padding: 0 var(--padding-31xl);
  max-width: 100%;
  text-align: left;
  font-size: var(--font-size-base);
  color: var(--color-black);
  font-family: var(--font-general-sans);
}
.info-icon {
  width: 62.3px;
  height: 63.4px;
  position: relative;
}
.konkretne-analityczne-wskazwk {
  font-weight: 300;
}
.od-eksperta-z {
  font-weight: 500;
}
.specjalizujcego-si-w {
  font-weight: 300;
}
.lorem-ipsum-dolor-container2 {
  align-self: stretch;
  position: relative;
  font-size: inherit;
  line-height: 120%;
  font-family: inherit;
}
.first-info-text {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  max-width: 100%;
}
.vector-icon {
  width: 45px;
  height: 66.2px;
  position: relative;
}
.tematy-w-lekkiej {
  font-weight: 300;
}
.lorem-ipsum-dolor-container3 {
  align-self: stretch;
  position: relative;
  font-size: inherit;
  line-height: 120%;
  font-family: inherit;
}
.second-info-text {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  max-width: 100%;
}
.vector-icon1 {
  width: 66.1px;
  height: 66.4px;
  position: relative;
}
.nagroda-dla-wytrwaych {
  font-weight: 300;
}
.bezpatnych-45-minutowych-kons {
  font-weight: 500;
}
.lorem-ipsum-dolor-container4 {
  align-self: stretch;
  position: relative;
  font-size: inherit;
  line-height: 120%;
  font-family: inherit;
}
.third-info-text {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  max-width: 100%;
}
.info-text,
.info-text-section {
  display: flex;
  flex-direction: row;
  align-items: center;
  max-width: 100%;
}
.info-text {
  display: flex;
  flex: 1;
  flex-wrap: nowrap;
  justify-content: space-between;
  gap: 50px;
  flex-direction: row;
}
.info-text-section {
  align-self: stretch;
  background-color: var(--colors-ideo-dark-1);
  justify-content: center;
  padding: 150px 20px 150px 20px;
  box-sizing: border-box;
  text-align: center;
  font-size: var(--font-size-lgi);
  color: var(--colors-white-1);
  font-family: var(--font-general-sans);
}
.analityka-opowiedziana {
  font-weight: 300;
}
.lorem-ipsum-dolor-container5 {
  margin: 0;
  align-self: stretch;
  position: relative;
  font-size: inherit;
  line-height: 130%;
  font-family: inherit;
}
.niezalenie-od-tego {
  margin: 0;
  font-weight: 300;
  width:100%;
}

.lorem-ipsum-dolor-container6 {
  margin: 0;
  align-self: stretch;
  height: auto;
  position: relative;
  font-size: var(--font-size-5xl);
  line-height: 150%;
  display: inline-block;
  font-family: inherit;
}
.cons-info-main-text {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  gap: var(--gap-5xl);
}
.mask-group-icon {
  height: 28px;
  width: 28px;
  position: relative;
  object-fit: cover;
}
.check-mark-1 {
  display: flex;
  align-items: center;
}

.lorem-ipsum-dolor2 {
  margin: 0;
  flex: 1;
  position: relative;
  font-size: inherit;
  line-height: 150%;
  font-weight: 300;
  font-family: inherit;
  display: inline-flex;
  min-width: 90%;
  max-width: 100%;
}

.con {
  align-self: stretch;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: var(--gap-xs);
  max-width: 100%;
}
.mask-group-icon1 {
  height: 28px;
  width: 28px;
  position: relative;
  object-fit: cover;
}
.check-mark-11 {
  overflow: unset;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
}
.lorem-ipsum-dolor3 {
  margin: 0;
  flex: 1;
  position: relative;
  font-size: inherit;
  line-height: 150%;
  font-weight: 300;
  font-family: inherit;
  display: inline-block;  
}

.con {
  align-self: stretch;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  gap: var(--gap-xs);
  max-width: 100%;
}

.con1 {
  align-self: stretch;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  gap: var(--gap-xs);
  max-width: 100%;
}
.mask-group-icon2 {
  height: 28px;
  width: 28px;
  position: relative;
  object-fit: cover;
}
.check-mark-12 {
  overflow: unset;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
}
.lorem-ipsum-dolor4 {
  margin: 0;
  flex: 1;
  position: relative;
  font-size: inherit;
  line-height: 150%;
  font-weight: 300;
  font-family: inherit;
  display: inline-block;
}
.con2,
.cons-info-main-text-list-1 {
  display: flex;
  justify-content: flex-start;
  max-width: 100%;
}
.con2 {
  align-self: stretch;
  flex-direction: row;
  align-items: flex-start;
  gap: var(--gap-xs);
}
.cons-info-main-text-list-1 {
  flex: 1;
  flex-direction: column;
  align-items: center;
  gap: var(--gap-21xl);
}
.mask-group-icon3 {
  height: 28px;
  width: 28px;
  position: relative;
  object-fit: cover;
}
.check-mark-13 {
  overflow: unset;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
}
.lorem-ipsum-dolor5 {
  margin: 0;
  flex: 1;
  position: relative;
  font-size: inherit;
  line-height: 150%;
  font-weight: 300;
  font-family: inherit;
  display: inline-block;
  min-width: 90%;
  max-width: 100%;
}
.con3 {
  align-self: stretch;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  gap: var(--gap-xs);
  max-width: 100%;
}
.mask-group-icon4 {
  height: 28px;
  width: 28px;
  position: relative;
  object-fit: cover;
}
.check-mark-14 {
  overflow: unset;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
}
.lorem-ipsum-dolor6 {
  margin: 0;
  flex: 1;
  position: relative;
  font-size: inherit;
  line-height: 150%;
  font-weight: 300;
  font-family: inherit;
  display: inline-block;
  min-width: 90%;
  max-width: 100%;
}
.con4 {
  align-self: stretch;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  gap: var(--gap-xs);
  max-width: 100%;
}
.mask-group-icon5 {
  height: 28px;
  width: 28px;
  position: relative;
  object-fit: cover;
}
.check-mark-15 {
  overflow: unset;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
}
.lorem-ipsum-dolor7 {
  margin: 0;
  flex: 1;
  position: relative;
  font-size: inherit;
  line-height: 150%;
  font-weight: 300;
  font-family: inherit;
  display: inline-block;
}
.con5,
.cons-info-main-text-list-2 {
  display: flex;
  justify-content: flex-start;
  max-width: 100%;
}
.con5 {
  align-self: stretch;
  flex-direction: row;
  align-items: flex-start;
  gap: var(--gap-xs);
}
.cons-info-main-text-list-2 {
  flex: 1;
  flex-direction: column;
  align-items: center;
  gap: var(--gap-21xl);
}
.cons-info-main-text-list {
  align-self: stretch;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: flex-start;
  justify-content: center;
  gap: 35px;
  max-width: 100%;
  font-size: var(--font-size-xl);
  color: var(--colors-dark-2);
}
.cons-info,
.cons-info-section {
  display: flex;
  align-items: center;
  max-width: 100%;
}
.cons-info {
  flex: 1;
  flex-direction: column;
  justify-content: flex-start;
  gap: 64px;
}
.cons-info-section {
  align-self: stretch;
  background: linear-gradient(#fff, #fff), rgba(34, 34, 34, 0.05);
  flex-direction: row;
  justify-content: center;
  padding: var(--padding-81xl) var(--padding-31xl);
  box-sizing: border-box;
  text-align: left;
  font-size: var(--font-size-45xl);
  color: var(--colors-ideo-dark-2);
  font-family: var(--font-general-sans);
}
.zobacz-nasze {
  font-weight: 300;
}
.blog-section-main-content-head {
  margin: 0;
  align-self: stretch;
  position: relative;
  font-size: inherit;
  line-height: 130%;
  font-family: inherit;
}
.newsletter-to-za {
  margin: 0;
  font-weight: 300;
}

.blog-section-main-content-subh {
  margin: 0;
  align-self: stretch;
  height: auto;
  position: relative;
  font-size: var(--font-size-5xl);
  line-height: 150%;
  display: inline-block;
  font-family: inherit;
}
.blog-section-main-content {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  gap: var(--gap-xl);
}
.article1-icon,
.article2-icon,
.article3-icon {
  max-width: 100%;
}
.blog-section-posts {
  align-self: stretch;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 25px;
  max-width: 100%;
}
.blog-section,
.blog-section-content {
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 100%;
}
.blog-section-content {
  flex: 1;
  flex-direction: column;
  gap: var(--gap-11xl);
}
.blog-section {
  align-self: stretch;
  background: linear-gradient(#121e2c, #121e2c), rgba(34, 34, 34, 0.05);
  flex-direction: row;
  padding: var(--padding-81xl) var(--padding-31xl);
  box-sizing: border-box;
  text-align: left;
  font-size: var(--font-size-45xl);
  color: var(--colors-white-1);
  font-family: var(--font-general-sans);
}
.footer-copyright {
  position: relative;
}
.footer-email-sub {
  position: relative;
  font-weight: 600;
}
.kontaktideoforcepl {
  position: relative;
  white-space: nowrap;
  color:white;
  text-decoration: none;
}
.kontaktideoforcepl:link{
  color:white;
}
.kontaktideoforcepl:visited{
  color:lightgray;
}
.footer-email-content {
  gap: 5px;
}
.footer-email,
.footer-email-content {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
}
.footer-privacy {
  position: relative;
  color: inherit;
  text-decoration: none;
  flex-shrink: 0;
}
.footer-cookies,
.footer-media {
  flex: 1;
  position: relative;
  display: inline-block;
  min-width: 74px;
  flex-shrink: 0;
}
.footer-menu-links {
  width: 491px;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  padding: 0;
  box-sizing: border-box;
  gap: 75px;
  max-width: 100%;
}
.footer-menu-links > * {
  flex: 1;
  text-align: center;
}
.footer-facebook-icon,
.footer-instagram-icon,
.footer-linkedin-icon {
  height: 24px;
  width: 24px;
  position: relative;
  overflow: hidden;
  flex-shrink: 0;
  min-height: 24px;
}
.footer-content,
.footer-social-links {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  gap: var(--gap-11xl);
}
.footer-content {
  align-self: stretch;
  align-items: center;
  justify-content: space-between;
  max-width: 100%;
  width: 100%;
  gap: var(--gap-xl);
}
.footer,
.main-container {
  display:contents max=co\;
}


.footer {
  align-self: stretch;
  background-color: var(--colors-ideo-dark-2);
  justify-content: center;
  padding: var(--padding-31xl);
  box-sizing: border-box;
  max-width: 100%;
  text-align: left;
  font-size: var(--font-size-xs);
  color: var(--colors-white-1);
  font-family: var(--font-general-sans);
}
.ideo-force-lp-mateusz-bober {
  width: 100%;
  position: relative;
  background-color: var(--colors-white-1);
  justify-content: flex-start;
  line-height: normal;
  letter-spacing: normal;
}
@media screen and (max-width: 1500px) {
  .hero-section-video {
    flex: 1;
  }
  .hero-section-content {
    padding: 0% 5% 0 0;
  }
  .hero-section {
    flex-wrap:wrap;
    max-width:100%
  }
  .review-section-blocks {
    max-width: 100%;
  }

  .info-text {
    display: flex;
    justify-content: center;
    flex-direction: row;
    flex-wrap: nowrap
  }
}
@media screen and (max-width: 1500px) {
  
  .info-text {
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-direction: row;
    flex-wrap: nowrap;
}
}
  .header {
    padding-left: var(--padding-6xl);
    padding-right: var(--padding-6xl);
    box-sizing: border-box;
  }
  .hero-section {
    flex-direction: unset;
  }
  .hero-section-content {
    box-sizing: border-box;
    max-width: 50%;
  }
  .hero-section-video-wrapper{
    max-width:50%;
  }
  .hero-before-form-main-heading{
    margin: 0;
    align-self: stretch;
    height: auto;
    position: relative;
    font-size: 40px;
    line-height: 50px;
    font-weight: 700;
    font-family: var(--font-general-sans);
    color: var(--colors-white-1);
    text-align: left;
    display: inline-block;
  }
  .hero-partners-logo-section {
    flex-wrap: wrap;
  }
  .hero {
    padding-top: var(--padding-51xl);
    padding-bottom: var(--padding-51xl);
    box-sizing: border-box;
  }
  .blog-section-posts {
    justify-content: center;
    flex-direction: row;
    padding-top: 32px;
  }
  .footer-content {
    flex-wrap: wrap;
    justify-content: center;
  }

@media screen and (max-width: 1300px) {
  .hero-before-form-main-heading{
    font-size:30px;
    line-height:35px;
  }
  .sub-heading-b{
    font-size:18px;
  }
  .hero-before-form-sub-heading-t{
    font-size:18px;
  }
  .newsletter-form, .newsletter-form1{
    height: 50px;
  }
  .hero-section-content{
    max-width: unset;
  }
  .hero-section-video-wrapper{
    max-width: 40%;
  }
  .lorem-ipsum-dolor-container5, .blog-section-main-content-head{
    font-size:45px;
  }
  .hero-newsletter-form, .newsletter-form-section{
    gap:5px;
  }
  .input-group-top{
    padding-top: 15px;
  }
  .input-group-bottom{
    padding-bottom: 15px
  }
}

@media screen and (max-width: 850px) {
  .header-menu {
    display: none;
  }
  .info-text {
    display: flex;
    justify-content: center;
    flex-direction: column;
    flex-wrap: nowrap;
}
  .header-menu {
    gap: var(--gap-mid);
    
  }
  .hero-before-form-main-heading {
    font-size: 50px;
    line-height: 64px;
  }
  .hero-newsletter-form {
    gap: var(--gap-mid);
  }
  .hero-section-content {
    box-sizing: border-box;
    min-width: 100%;
    padding: 0% 0% 0% 0%;
  }
  .hero-section- {
    min-width: 100%;
  }
  .hero {
    gap: 50px;
    padding: 45px var(--padding-6xl);
    box-sizing: border-box;
  }
  .first-review,
  .second-review,
  .second-review1 {
    min-width: 100%;
  }
  .header-button {
    padding: 5px 15px 5px 15px;
    gap:5px;

  }
  .header-logo-icon{
width:5rem;
  }
  .header-button-icon{
    width:16px;
  }
  .header-button-text{
    font-size: var(--font-size-sm);
  }
  .review-section-blocks {
    padding-top: var(--padding-61xl);
    padding-bottom: var(--padding-61xl);
    box-sizing: border-box;
  }
  .info-text-section,
  .review-section {
    padding-left: var(--padding-6xl);
    padding-right: var(--padding-6xl);
    box-sizing: border-box;
  }
  .lorem-ipsum-dolor-container5 {
    font-size: var(--font-size-32xl);
    line-height: 67px;
  }
  .con {
    flex-wrap: nowrap;
  }
  .con1 {
    flex-wrap: nowrap;
  }
  .con2 {
    flex-wrap: nowrap;
  }
  .cons-info-main-text-list-1 {
    gap: 35px;
    min-width: 100%;
  }
  .con3 {
    flex-wrap: nowrap;
  }
  .con4 {
    flex-wrap: nowrap;
  }
  .con5 {
    flex-wrap: nowrap;
  }
  .cons-info-main-text-list-2 {
    gap: 35px;
    min-width: 100%;
  }
  .cons-info-main-text-list {
    gap: 35px;
  }
  .cons-info {
    gap: var(--gap-13xl);
  }
  .cons-info-section {
    gap: var(--gap-14xl);
    padding: var(--padding-46xl) var(--padding-6xl);
    box-sizing: border-box;
  }
  .blog-section-main-content-head {
    font-size: var(--font-size-32xl);
    line-height: 67px;
  }
  .article1-icon,
  .article2-icon,
  .article3-icon {
    width: 100%;
  }
  .blog-section-posts {
    gap: var(--gap-mini);
    flex-direction: column;
  }
  .blog-section {
    gap: var(--gap-14xl);
    padding: var(--padding-46xl) var(--padding-6xl);
    padding-bottom:32.5px;
    box-sizing: border-box;
  }
  .footer,
  .footer-menu-links {
    gap: var(--gap-18xl);
  }
  .footer {
    padding-left: var(--padding-6xl);
    padding-right: var(--padding-6xl);
    box-sizing: border-box;
  }
}
@media screen and (max-width: 450px) {
  .hero > .container{
    gap:20px;
  }
  .hero-partners-logo-section-4-icon{
    max-width:15%;
  }
  .hero-partners-logo-section-2-icon{
    max-width:25%;
  }
  .logo-image-icon{
    max-width: 15%;
  }
  .hero-partners-logo-section-1-icon{
    max-width: 15%;
  }
  .hero-section-video-wrapper {
    max-width: 100%;
}
  .hero{
    padding:20px;
  }
  .hero-section-content{
    max-width: 100%;
  }
  .header{
    padding: 20px;
  }
  .zapisz-si-na {
    font-size: 18px;
  }

    .hero-newsletter-button{
      padding:10px 25px 10px 25px;
    }
  .container{
    gap:30px;
    justify-content: space-between;
  }
  .hero-before-form-sub-heading-t {
    font-size:25px;
    line-height: 30px;
  }
  .hero-before-form-main-heading {
    font-size: var(--font-size-19xl);
    line-height: 48px;
  }
  .hero-before-form-sub-heading-b {
    font-size: var(--font-size-lgi);
    line-height: 29px;
  }
  .hero {
    gap: var(--gap-6xl);
  }
  .info-text-section {
    gap: 35px;
    padding-top: var(--padding-46xl);
    padding-bottom: var(--padding-46xl);
    box-sizing: border-box;
  }
  .lorem-ipsum-dolor-container5 {
    font-size: var(--font-size-19xl);
    line-height: 50px;
  }
  .lorem-ipsum-dolor-container6 {
    font-size: var(--font-size-lgi);
    line-height: 29px;
  }
  .lorem-ipsum-dolor2,
  .lorem-ipsum-dolor3,
  .lorem-ipsum-dolor4,
  .lorem-ipsum-dolor5,
  .lorem-ipsum-dolor6,
  .lorem-ipsum-dolor7 {
    font-size: var(--font-size-base);
    line-height: 24px;
  }
  .cons-info-section {
    gap: var(--gap-mid);
  }
  .blog-section-main-content-head {
    font-size: var(--font-size-19xl);
    line-height: 50px;
  }
  .blog-section-main-content-subh {
    font-size: var(--font-size-lgi);
    line-height: 29px;
  }
  .blog-section {
    gap: var(--gap-mid);
  }
  .footer-menu-links {
    flex-wrap: wrap;
  }
  .footer {
    gap: 19px;
  }
}

.error-text:not(:empty) {
  font-family: var(--font-sofia-sans-condensed);
  display: block;
  margin-top: 2px;
  padding-left:15px;
  font-size: 14px;
  font-weight: 500;
  color: red;
}

#email-error-message:not(:empty) {
  font-family: var(--font-sofia-sans-condensed);
  display: block;
  margin-top: 2px;
  padding-left:15px;
  font-size: 14px;
  font-weight: 500;
  color: red;
}

label {
  font-family: var(--font-general-sans);
  font-size: 14px;
}

.external-link-regulations{
  color:white;
  padding-top:0px;
  font-weight: 700;
}

video {
  width: 100%;
  height: 100%;
  border-radius:5px;
}

 /* Stylizacja preloadera */
 #preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #fff; /* Tło preloadera */
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.spinner {
  width: 50px;
  height: 50px;
  border: 5px solid rgba(0, 0, 0, 0.1);
  border-top-color: #000;
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  to {
      transform: rotate(360deg);
  }
}